Scriptname SeeThroughScopesHoldBreathDrainScript extends activemagiceffect

Quest Property SeeThroughScopesControllerQuest Auto Const
Sound Property VOCPlayerSprintOutOfBreath1st Auto Const
ActorValue Property ActionPoints Auto Const

Event OnEffectStart(Actor akTarget, Actor akCaster)
EndEvent

Event OnEffectFinish(Actor akTarget, Actor akCaster)
	VOCPlayerSprintOutOfBreath1st.play(akTarget)
	; Check if we fully drained the AP pool, if so, set out of breath
	if( akTarget.getValue( ActionPoints ) < 1.0 )
		(SeeThroughScopesControllerQuest as SeeThroughScopesController).triggerOutOfBreath()
	EndIf
EndEvent